# class RSS::ImageItemModel::ImageItem

### Public Class Methods

new(*args) click to toggle source
Calls superclass method

    # File lib/rss/image.rb, line 85
    def initialize(*args)
      if Utils.element_initialize_arguments?(args)
        super
      else
        super()
        self.about = args[0]
        self.resource = args[1]
      end
    end

required_prefix() click to toggle source

    # File lib/rss/image.rb, line 53
    def required_prefix
      IMAGE_PREFIX
    end

required_uri() click to toggle source

    # File lib/rss/image.rb, line 57
    def required_uri
      IMAGE_URI
    end

### Public Instance Methods

full_name() click to toggle source

    # File lib/rss/image.rb, line 95
    def full_name
      tag_name_with_prefix(IMAGE_PREFIX)
    end

### Private Instance Methods

maker_target(target) click to toggle source

    # File lib/rss/image.rb, line 100
    def maker_target(target)
      target.image_item
    end

setup_maker_attributes(item) click to toggle source

    # File lib/rss/image.rb, line 104
    def setup_maker_attributes(item)
      item.about = self.about
      item.resource = self.resource
    end